## org.jfree.data
Class LineFunction2D

    java.lang.Object
      org.jfree.data.LineFunction2D

All Implemented Interfaces:
  Function2D

public class LineFunction2D
extends java.lang.Object
implements Function2D

A function in the form y = a + bx.

Constructor Summary
`LineFunction2D(double a, double b)` Constructs a new line function.

Method Summary
`double` `getValue(double x)` Returns the function value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LineFunction2D

    public LineFunction2D(double a,
                          double b)

  Constructs a new line function.

Parameters:
  `a` - the intercept.
  `b` - the slope.

Method Detail

### getValue

    public double getValue(double x)

  Returns the function value.

  Specified by:
    `getValue` in interface `Function2D`
  Parameters:
    `x` - the x-value.
  Returns:
    the value.